#
# spec file for package storeBackup (Version 1.19)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         storeBackup
URL:          http://sourceforge.net/projects/storebackup/
Version:      1.19
Release:      1.1
Summary:      storeBackup is a Disk-to-Disk Backup Tool for Linux
Source0:      storeBackup-%{version}.tar.bz2
Source1:      storeBackup-%{version}.config.default
Source2:      storeBackup-README.SUSE
Patch0:       storeBackup-%{version}.diff
License:      GPL
Group:        Productivity/Archiving/Backup
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArch: 	noarch
Requires:     sh-utils bzip2 textutils fileutils e2fsprogs

%description 
storeBackup is a disk-to-disk backup tool for Linux. It should also run
on other Unix-like machines. You can directly browse through the
backed-up files (locally, via NFS, via SAMBA, or whatever). This gives
the users the ability to restore files easily and fast. The user only
has to copy (and possibly uncompress) the file. There is also a tool
for easily restoring (sub) trees for the administrator. Every single
backup from a specific time can be deleted without affecting the other
existing backups.



Authors:
--------
    Dr. Heinz-Josef Claes <hjclaes@web.de>

%prep -n storeBackup
%setup -n storeBackup
%patch0 -p 1

%build
# make

%install
#
install		-d	${RPM_BUILD_ROOT}					\
			${RPM_BUILD_ROOT}/usr/lib/storeBackup/			\
			${RPM_BUILD_ROOT}/usr/bin/				\
			${RPM_BUILD_ROOT}/usr/share/doc/packages/storeBackup/	\
			${RPM_BUILD_ROOT}/etc/cron.daily/			\
			${RPM_BUILD_ROOT}/etc/storebackup.d/
#
cp -a %{S:1}							./storebackup.config.default
cp -a %{S:2}							./README.SUSE
cp -aRpv bin/ lib/						${RPM_BUILD_ROOT}/usr/lib/storeBackup/
cp -a cron-storebackup						${RPM_BUILD_ROOT}/etc/cron.daily/storebackup
ln -sf /usr/lib/storeBackup/bin/storeBackup.pl			${RPM_BUILD_ROOT}/usr/bin/storeBackup.pl
ln -sf /usr/lib/storeBackup/bin/storeBackup.pl			${RPM_BUILD_ROOT}/usr/bin/storeBackup
ln -sf /usr/lib/storeBackup/bin/storeBackupConvertBackup.pl	${RPM_BUILD_ROOT}/usr/bin/storeBackupConvertBackup.pl
ln -sf /usr/lib/storeBackup/bin/storeBackupRecover.pl		${RPM_BUILD_ROOT}/usr/bin/storeBackupRecover.pl
ln -sf /usr/lib/storeBackup/bin/storeBackupVersions.pl		${RPM_BUILD_ROOT}/usr/bin/storeBackupVersions.pl
ln -sf /usr/lib/storeBackup/bin/storeBackupls.pl		${RPM_BUILD_ROOT}/usr/bin/storeBackupls.pl

%files
%defattr(644, root, root)
%doc ChangeLog LICENSE README.1ST _ATTENTION_ EXAMPLES README ROADMAP storebackup.config.default README.SUSE
/usr/lib/storeBackup/
%dir /etc/storebackup.d/
# %attr(755, root, root) %config(noreplace) /etc/storebackup.d/storebackup.config
%attr(755, root, root) /usr/bin/*
%attr(755, root, root) /etc/cron.daily/storebackup

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%changelog -n storeBackup
* Tue Sep 06 2005 - mge@suse.de
- update to 1.19 includes fixes to several smaller issues,
  and mainly these bugs:
  [#73908]:  Insecure tempfile-names
  [#73910]:  too generous permissions of backup-root
- also #100101:  Installing storeBackup causes cron job
  failure emails
  is fixed
* Mon Mar 22 2004 - mge@suse.de
- update to 1.16.1: storeBackup.pl
  * better explanations in the configuration file
  and for command line options
  * better error messages
  * option --print did not work for some values
  * fixed a bug in the module for reading the
  configuration file with keepWeekday
  * when printing to a log file and to stdout
  simultaneously, a possible error message with exit
  is now also printed to stdout
  * option verbose now has the same effekt as debug=1
* Mon Mar 01 2004 - mge@suse.de
- update to 1.16
* Mon Feb 23 2004 - hmacht@suse.de
- building as non-root
* Mon Sep 01 2003 - mge@suse.de
- update to 1.14
* Thu Aug 07 2003 - mge@suse.de
- update to 1.13
* Wed Jul 30 2003 - mge@suse.de
- initial checkin 1.12.2
